echo off
cls
echo The Dream Team Installation
echo Version 1.0
echo Copyright 1991, Data East USA, Inc.
echo and the Park Place Production Team
echo All Rights Reserved
echo ÿ

if exist install.bat goto cont
echo Please change to the drive containing the Camera 1 disk before typing INSTALL.
echo For example, type A: and press Enter. Then type INSTALL and press Enter.
goto end

:cont
if "%1" == "" goto instruct
if "%1" == "a:" goto wrongdest
if "%1" == "A:" goto wrongdest
if "%1" == "b:" goto wrongdest
if "%1" == "B:" goto wrongdest
if "%1" == "c:" goto s25h
if "%1" == "C:" goto s25h
if "%1" == "d:" goto s25h
if "%1" == "D:" goto s25h
if "%1" == "e:" goto s25h
if "%1" == "E:" goto s25h
if "%1" == "f:" goto s25h
if "%1" == "F:" goto s25h
if "%1" == "g:" goto s25h
if "%1" == "G:" goto s25h
if "%1" == "h:" goto s25h
if "%1" == "H:" goto s25h
if "%1" == "i:" goto s25h
if "%1" == "I:" goto s25h

:wrongdest
echo Illegal Destination Drive %1
echo ÿ

:instruct
echo Install usage:
echo ÿ
echo INSTALL [destination drive]
echo ÿ
echo Example:  INSTALL c:
echo ÿ
goto end

:s25h
if exist %1\dream goto Nodream
if exist %1\dream\*.* goto Nodream
echo ÿ
copy tdtinst.bat %1\TDTINST.BAT >NUL
if not exist %1\TDTINST.BAT goto NoSpace
md %1\dream > nul
%1\TDTINST %1 %1\DREAM
goto end

:Nodream
echo ÿ
echo %1\DREAM already exists!
echo Please remove %1\DREAM before attempting this installation.
goto end

:NoSpace
echo Hard Disk Full
goto instruct 

:end
exit
